tigase.jaxmpp.j2se

## Class Jaxmpp

- java.lang.Object
- - tigase.jaxmpp.core.client.JaxmppCore
  - - tigase.jaxmpp.j2se.Jaxmpp

- Direct Known Subclasses:
    Jaxmpp

      public class Jaxmpp
      extends JaxmppCore

  Main library class for using in standalone, Android and other J2SE compatible application.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `JaxmppCore.DefaultPacketWriter, JaxmppCore.LoggedInHandler, JaxmppCore.LoggedOutHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECTOR_TYPE`
    `static String` | `EXCEPTION_KEY`
    `static String` | `LOGIN_TIMEOUT_KEY`

    - ### Fields inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `AUTOADD_STANZA_ID_KEY, connector, context, defaultXMPPStream, eventBus, log, modulesManager, processor, properties, sessionLogic, sessionObject, streamsManager, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jaxmpp()`
    `Jaxmpp(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkTimeouts()`
    `protected Connector` | `createConnector()`
    `void` | `disconnect()` Closes XMPP session.
    `void` | `disconnect(boolean snc)`
    `void` | `disconnect(Boolean snc, boolean resetStreamManagement)`
    `void` | `execute(Runnable runnable)` Executes task in executor.
    `ConnectionConfiguration` | `getConnectionConfiguration()` Returns configurator.
    `Executor` | `getExecutor()`
    `protected void` | `init()`
    `void` | `login()` Connects to server.
    `void` | `login(boolean sync)`
    `protected void` | `modulesInit()`
    `protected void` | `onConnectorStopped()`
    `protected void` | `onException(JaxmppException e)`
    `protected void` | `onResourceBindSuccess(JID bindedJID)`
    `protected void` | `onStreamError(StreamError condition, Throwable caught)`
    `protected void` | `onStreamResumed(Long h, String previd)`
    `protected void` | `onStreamTerminated()`
    `void` | `setExecutor(Executor executor)` Sets custom Executor for processing incoming stanzas in modules.
    `static void` | `waitForDisconnectFinish(Jaxmpp jaxmpp, long timeout)`
    `static void` | `waitForLoginFinish(Jaxmpp jaxmpp, long timeout)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `createEventBus, get, getConnector, getContext, getEventBus, getModule, getModulesManager, getProperties, getSessionObject, isConnected, isSecure, keepalive, onConnectorStateChanged, onStanzaReceived, onUnacknowledged, send, send, send, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTOR_TYPE

          public static final String CONNECTOR_TYPE

      See Also:
        Constant Field Values

    - #### EXCEPTION_KEY

          public static final String EXCEPTION_KEY

      See Also:
        Constant Field Values

    - #### LOGIN_TIMEOUT_KEY

          public static final String LOGIN_TIMEOUT_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Jaxmpp

          public Jaxmpp()

    - #### Jaxmpp

          public Jaxmpp(SessionObject sessionObject)

  - ### Method Detail

    - #### waitForDisconnectFinish

          public static void waitForDisconnectFinish(Jaxmpp jaxmpp,
                                                     long timeout)
                                              throws JaxmppException

      Throws:
        `JaxmppException`

    - #### waitForLoginFinish

          public static void waitForLoginFinish(Jaxmpp jaxmpp,
                                                long timeout)
                                         throws JaxmppException

      Throws:
        `JaxmppException`

    - #### disconnect

          public void disconnect()
                          throws JaxmppException

      Description copied from class: `JaxmppCore`
      Closes XMPP session.
      Specified by:
        `disconnect` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### disconnect

          public void disconnect(boolean snc)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### disconnect

          public void disconnect(Boolean snc,
                                 boolean resetStreamManagement)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### execute

          public void execute(Runnable runnable)

      Description copied from class: `JaxmppCore`
      Executes task in executor. Used to handle received stanzas.
      Specified by:
        `execute` in class `JaxmppCore`
      Parameters:
        `runnable` - task to execute.

    - #### getConnectionConfiguration

          public ConnectionConfiguration getConnectionConfiguration()

      Returns configurator.

      This wrapper for SessionObject.

      Specified by:
        `getConnectionConfiguration` in class `JaxmppCore`
      Returns:
        configuration

    - #### getExecutor

          public Executor getExecutor()

    - #### setExecutor

          public void setExecutor(Executor executor)

      Sets custom Executor for processing incoming stanzas in modules.
      Parameters:
        `executor` - executor

    - #### login

          public void login(boolean sync)
                     throws JaxmppException

      Throws:
        `JaxmppException`

    - #### login

          public void login()
                     throws JaxmppException

      Connects to server.
      Specified by:
        `login` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### checkTimeouts

          protected void checkTimeouts()
                                throws JaxmppException

      Throws:
        `JaxmppException`

    - #### createConnector

          protected Connector createConnector()
                                       throws JaxmppException

      Throws:
        `JaxmppException`

    - #### init

          protected void init()

      Overrides:
        `init` in class `JaxmppCore`

    - #### modulesInit

          protected void modulesInit()

      Overrides:
        `modulesInit` in class `JaxmppCore`

    - #### onConnectorStopped

          protected void onConnectorStopped()

      Overrides:
        `onConnectorStopped` in class `JaxmppCore`

    - #### onException

          protected void onException(JaxmppException e)
                              throws JaxmppException

      Specified by:
        `onException` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### onResourceBindSuccess

          protected void onResourceBindSuccess(JID bindedJID)
                                        throws JaxmppException

      Specified by:
        `onResourceBindSuccess` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### onStreamError

          protected void onStreamError(StreamError condition,
                                       Throwable caught)
                                throws JaxmppException

      Specified by:
        `onStreamError` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### onStreamResumed

          protected void onStreamResumed(Long h,
                                         String previd)
                                  throws JaxmppException

      Specified by:
        `onStreamResumed` in class `JaxmppCore`
      Throws:
        `JaxmppException`

    - #### onStreamTerminated

          protected void onStreamTerminated()
                                     throws JaxmppException

      Specified by:
        `onStreamTerminated` in class `JaxmppCore`
      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.